Bug 462419 - user image not getting displayed on login screen
user image not getting displayed on login screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 23:04 EDT by Jithin Emmanuel
Modified: 2015-01-14 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jithin Emmanuel 2008-09-15 23:04:41 EDT
Description of problem:
Login screen is not displaying my user image even though I have set it in System->preferences->Personal->about me

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The default blank icon is displayed.

Expected results:
Should display the user image I set.

Additional info:
I tried with kdm the same problem exists.
Comment 1 Jithin Emmanuel 2008-09-17 22:37:41 EDT
With kdm I can use system settings to select a user image to be displayed. And it works. But I know that gdm used to get it from the user picture I set in about me and its not working now.
Comment 2 Dan Nicholson 2008-09-23 16:55:21 EDT
In my case, the problem was that the greeter (running as the gdm user, not root) can't read your ~/.face file. Home directories in Fedora are created by default with 0700 permissions. By changing the permissions to 0711 and making ~/.face 0644, I was able to make the icons shown.

I don't know how kdm works, but I suspect the same issue.

I believe the 0700 $HOME permissions happens because the default UMASK setting in /etc/login.defs in 077.
Comment 3 Jithin Emmanuel 2008-09-23 22:30:35 EDT
With kdm it works. We can use the system settings login manager to set the image
Comment 4 Rui Matos 2008-12-11 19:10:24 EST
Happened to me on a fresh F10 desktop spin install. This bug should probably be reassigned to whatever component actually creates the user home directories.
Comment 5 Dan Nicholson 2008-12-11 19:51:37 EST
There's another bug open about this issue that I can't find right now. Basically, people don't want to open up the home directories just to be able to see the .face file. This used to be OK because gdm ran as root and could read the file, but now the gdm greeter runs unprivileged.

I think that the only sane long term solution is to have a helper that can grab the face files and have the greeter can ask the helper for them. It could probably be a dbus system service that was launched on demand.
Comment 6 Bug Zapper 2009-06-09 22:43:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Uno Engborg 2009-06-18 10:57:31 EDT
This bug still exists in Fedora 11, so I suppose it should remain  open as a Fedora 11 bug.
Comment 8 Bug Zapper 2009-07-14 10:15:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.